/*
   Copyright (C) 2009 by Dupuy Mathieu <mdupuy at mandriva.com>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef TASKBINDER_H
#define TASKBINDER_H

namespace Nepomuk {
  class Variant;
  class Resource;
}
class QString;
class KResourceTreeView;
class KTitleWidget;

#include <KDialog>
#include <QList>

class TaskLinker : public KDialog
{
  Q_OBJECT
public:
    TaskLinker(QWidget *parent = 0);
    Nepomuk::Resource getSelectedResource();
    void setTitleAndIcon(const Nepomuk::Resource& );

private Q_SLOTS:
  void enableOkButton();

private:
  static QList<Nepomuk::Resource> getTasks();
  
  KTitleWidget* m_labeltitle;
  KResourceTreeView* m_taskview;
};

#endif // TASKBINDER_H
