/*
   Copyright (C) 2009 by Dupuy Mathieu <mdupuy at mandriva.com>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef SIMPLERESOURCELISTVIEW_H
#define SIMPLERESOURCELISTVIEW_H

#include <QListView>
#include <QList>

namespace Nepomuk {
    class Resource;
    class SimpleResourceModel;
}

class SimpleResourceListView : public QListView
{
public:

    SimpleResourceListView( QWidget* parent = 0 );
    QList<Nepomuk::Resource> getSelectedResources();
    void setResources(const QList<Nepomuk::Resource>& );

private:
    Nepomuk::SimpleResourceModel* m_resourceModel;
};

#endif
