/*
   Copyright (C) 2009 by Dupuy Mathieu <mdupuy at mandriva.com>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef NEWORGANISATIONDIALOG_H
#define NEWORGANISATIONDIALOG_H

//#include <QtGui/QWidget>
#include <KDialog>
#include "ui_neworganizationdialog.h"

namespace Nepomuk {
  class Resource;
}

class NewOrganizationDialog : public KDialog, public Ui::NewOrganizationDialog {
    Q_OBJECT
public:
    NewOrganizationDialog(QWidget *parent = 0);
    void writeProperties( Nepomuk::Resource& ) const;
    static Nepomuk::Resource CreateNewOrganization( QWidget* parent = 0 );

public slots:
    void allowCreation();

protected:
    void changeEvent(QEvent *e);
  //Ui::NewOrganizationDialog* m_ui;
};

#endif // NEWORGANISATIONDIALOG_H
